## org.eclipse.datatools.sqltools.sqlbuilder.views.insert
Class InsertGridContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.datatools.sqltools.sqlbuilder.views.GridContentProvider
              org.eclipse.datatools.sqltools.sqlbuilder.views.insert.InsertGridContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

    public class InsertGridContentProvider

extends GridContentProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Constructor Summary
`InsertGridContentProvider(SQLDomainModel domainModel)`

Method Summary
`java.lang.Object[]` `getElements(java.lang.Object property)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.GridContentProvider
`notifyChanged`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`dispose, getAdapterFactory, getChildren, getParent, getPropertySource, hasChildren, inputChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertGridContentProvider

    public InsertGridContentProvider(SQLDomainModel domainModel)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object property)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`